commit:     3c6b027f9233e3e95a63cd8c9071a73babe9dd92
Author:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
AuthorDate: Tue Oct  1 19:11:12 2019 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Oct  1 19:12:51 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c6b027f

net-libs/libtorrent-rasterbar: Version bump (v1.2.2)

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 net-libs/libtorrent-rasterbar/Manifest             |   1 +
 .../libtorrent-rasterbar-1.2.2.ebuild              | 111 +++++++++++++++++++++
 2 files changed, 112 insertions(+)

diff --git a/net-libs/libtorrent-rasterbar/Manifest 
b/net-libs/libtorrent-rasterbar/Manifest
index c8c749bd64a..5dff742374c 100644
--- a/net-libs/libtorrent-rasterbar/Manifest
+++ b/net-libs/libtorrent-rasterbar/Manifest
@@ -3,3 +3,4 @@ DIST libtorrent-rasterbar-1.1.12.tar.gz 3897237 BLAKE2B 
0988b16d79df9499e2f7ab9d
 DIST libtorrent-rasterbar-1.1.13.tar.gz 3896007 BLAKE2B 
b94f843437be348b10082f19d0b416f909daf15078b1461ab6724ee086d3194f6c378c305174676a3399fc3e6cb23133faaa334ac5dfc9457fb597c65dad7d36
 SHA512 
021fc54353fdf5063d55ccdc2057dada292bb0008fb92e93e8d94dd89f529630f290fcdc4f4d095e3192522c57fe0f0da260b5ef8e8e15a8c6ac05728f5f7160
 DIST libtorrent-rasterbar-1.2.0.tar.gz 3546062 BLAKE2B 
a02ef8f273d8e6ec3b6f6a42d518f7cbba669f109f907e243bb90cd674009894b9edce2f355b52d77275f3fcd9537e9c26280f7b78dfbb1792f52d6c7f50f7da
 SHA512 
2dae77f32cf3da388edece7e64b8d9cf359cca735a101d96bb18fb06573fd1d84c303e5bebd370f637d7c73010ea2d99e38748b2259ce02ae8f0dbc0c4f01518
 DIST libtorrent-rasterbar-1.2.1.tar.gz 3562762 BLAKE2B 
1978356ba00c07c4b89657ebe190b2aa4a938d22e5ab63844fb664312d60f761a07c42b9353f2f500fdf9a08afcb294a39bfb447d255d93b1a45ecc2be629ffe
 SHA512 
a60e38c4c951756786ede69af1a5d56bf6293bcb7d235f0b7feda72f731bc163ea6a7401c4b5f5400b8ce236decff0ae3a1d5fe39c7f8f775e65031677f02074
+DIST libtorrent-rasterbar-1.2.2.tar.gz 3584187 BLAKE2B 
93c77544d4641122f0bd2b5c5f0577629fb7bdfc9e81bd54f7a849f5a477255adc699676516865c93610d24a830a26a0de45f10e50ce64ad6f0214c116f7754c
 SHA512 
34dcf5421dfccbba78bdd30890b9c18b92fdee1a2e1693ada9b55b79a167730093862017581b9251a654b5517011dbe4c46b520b03b78aa86a909457f7edcf2c

diff --git a/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.2.2.ebuild 
b/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.2.2.ebuild
new file mode 100644
index 00000000000..2de04027aa5
--- /dev/null
+++ b/net-libs/libtorrent-rasterbar/libtorrent-rasterbar-1.2.2.ebuild
@@ -0,0 +1,111 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6} )
+PYTHON_REQ_USE="threads"
+DISTUTILS_OPTIONAL=true
+DISTUTILS_IN_SOURCE_BUILD=true
+
+inherit autotools distutils-r1 flag-o-matic
+
+MY_PV=$(ver_rs 1-2 '_')
+MY_P=${PN/-rasterbar}-${MY_PV}
+
+DESCRIPTION="C++ BitTorrent implementation focusing on efficiency and 
scalability"
+HOMEPAGE="https://libtorrent.org https://github.com/arvidn/libtorrent";
+SRC_URI="https://github.com/arvidn/libtorrent/archive/${MY_P}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0/9"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE="debug +dht doc examples libressl python +ssl static-libs test"
+
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       dev-libs/boost:=[threads]
+       virtual/libiconv
+       examples? ( !net-p2p/mldonkey )
+       python? (
+               ${PYTHON_DEPS}
+               dev-libs/boost:=[python,${PYTHON_USEDEP}]
+       )
+       ssl? (
+               !libressl? ( dev-libs/openssl:0= )
+               libressl? ( dev-libs/libressl:= )
+       )
+"
+DEPEND="${RDEPEND}
+       sys-devel/libtool
+"
+
+S="${WORKDIR}/${PN/-rasterbar}-${MY_P}"
+
+src_prepare() {
+       mkdir "${S}"/build-aux/ || die
+       touch "${S}"/build-aux/config.rpath || die
+       eautoreconf
+
+       default
+
+       # bug 578026
+       # prepend -L${S}/... to ensure bindings link against the lib we just 
built
+       sed -i -e "s|^|-L${S}/src/.libs |" bindings/python/link_flags.in || die
+
+       # prepend -I${S}/... to ensure bindings use the right headers
+       sed -i -e "s|^|-I${S}/src/include |" bindings/python/compile_flags.in 
|| die
+
+       use python && distutils-r1_src_prepare
+}
+
+src_configure() {
+       append-cxxflags -std=c++11 # bug 634506
+
+       local myeconfargs=(
+               $(use_enable debug)
+               $(use_enable debug export-all)
+               $(use_enable debug logging)
+               $(use_enable dht)
+               $(use_enable examples)
+               $(use_enable ssl encryption)
+               $(use_enable static-libs static)
+               $(use_enable test tests)
+               --with-libiconv
+       )
+       econf "${myeconfargs[@]}"
+
+       if use python; then
+               python_configure() {
+                       econf "${myeconfargs[@]}" \
+                               --enable-python-binding \
+                               --with-boost-python="${EPYTHON#python}"
+               }
+               distutils-r1_src_configure
+       fi
+}
+
+src_compile() {
+       default
+
+       python_compile() {
+               cd "${BUILD_DIR}/../bindings/python" || die
+               distutils-r1_python_compile
+       }
+       use python && distutils-r1_src_compile
+}
+
+src_install() {
+       use doc && HTML_DOCS+=( "${S}"/docs )
+
+       default
+
+       python_install() {
+               cd "${BUILD_DIR}/../bindings/python" || die
+               distutils-r1_python_install
+       }
+       use python && distutils-r1_src_install
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to